## tiramisu-web 2.6.2-2

=== Makefile ===
################################
# Makefile pour tiramisu-web
################################

SOURCE=tiramisu-web
VERSION=0.0
EOLE_VERSION=2.6
EOLE_RELEASE=2.6.2
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
tiramisu-web (2.6.2-2) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [8bef93f] Remove unwanted error message when no option in form action
  * [209a106] Merge branch 'develop' into dist/eole/2.6.2/develop

  [ EOLE Build Daemon ]
  * [9397bf8] Lionel MORIN: Update package since “debian/2.6.2-1”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 13 Oct 2017 16:48:49 +0200

tiramisu-web (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [0d105ad] Fix localization
  * [48eae8e] Merge branch 'master' into dist/eole/2.6.1/master

  [ William Petit ]
  * [c08289f] Merge remote-tracking branch 'origin/master' into eole_master
  * [37ebe70] Merge branch 'master' into eole_master
  * [cfef348] Merge branch 'master' into eole_master
  * [213b787] tiramisu-form refactoring
  * [0463ee3] Merge branch '19541_form_refactoring' into eole_develop
  * [7c1b564] Fix inputHide() call when there is no dependency
  * [8526676] Merge branch 'develop' into eole_develop
  * [3200c25] Fix form validation
  * [ad1eb73] Merge branch 'develop' into eole_develop
  * [9bfa29a] Merge branch 'eole_develop' into dist/eole/2.6.1/develop
  * [2037980] Merge branch 'develop' into dist/eole/2.6.2/develop

  [ Bruno Boiget ]
  * [99f5688] Merge branch 'master' into develop

  [ Daniel Dehennin ]
  * [340aaaa] Prepare release 2.6.2 for EOLE
  * [d634405] Merge branch 'develop' into dist/eole/2.6.2/master

  [ Emmanuel Garette ]
  * [d65c2e8] more test
  * [07ac493] Merge branch 'master' into develop

  [ EOLE Build Daemon ]
  * [c6a54cf] William Petit: Update package since “debian/0.0.1-16-13”

 -- William Petit <wpetit@cadoles.com>  Tue, 11 Apr 2017 16:20:18 +0200

tiramisu-web (0.0.1-16-13) eole-2.6.1-proposed-updates; urgency=low

  [ Lionel MORIN ]
  * [f4beee7] Localize error message when no valid value
  * [8b423ce] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [af5d8f7] Lionel MORIN: Update package since “debian/0.0.1-16-12”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 21 Mar 2017 15:12:13 +0100

tiramisu-web (0.0.1-16-12) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4e14287] better support for hidden
  * [5195070] add index to listbox

  [ Garette Emmanuel ]
  * [dfe8183] Merge remote-tracking branch 'lab/master'
  * [80d38ce] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [53ad21d] Garette Emmanuel: Update package since “debian/0.0.1-16-11”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 17 Mar 2017 15:58:03 +0100

tiramisu-web (0.0.1-16-11) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [0befd12] value from tiramisu-ip now works

  [ Garette Emmanuel ]
  * [46bd978] Merge remote-tracking branch 'lab/master'
  * [8a913e7] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [3a4a6dc] Garette Emmanuel: Update package since “debian/0.0.1-16-10”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 14 Mar 2017 17:11:52 +0100

tiramisu-web (0.0.1-16-10) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ea23907] 'empty' support
  * [9ee526f] add id to dropdown

  [ Garette Emmanuel ]
  * [fe0c4e5] Merge remote-tracking branch 'lab/master'
  * [b19327b] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [6b0bf2a] Garette Emmanuel: Update package since “debian/0.0.1-16-9”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 14 Mar 2017 11:32:26 +0100

tiramisu-web (0.0.1-16-9) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8f9a70f] add domainname support

  [ Garette Emmanuel ]
  * [f6ee91a] Merge remote-tracking branch 'lab/master'
  * [7329fc7] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [98498f2] Garette Emmanuel: Update package since “debian/0.0.1-16-8”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 13 Mar 2017 17:50:00 +0100

tiramisu-web (0.0.1-16-8) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [73f9e8c] some improvment
  * [f465bc0] dependency works for master/slave
  * [fd50113] better support for slave with dependency

  [ Garette Emmanuel ]
  * [8f5919f] Merge remote-tracking branch 'lab/master'
  * [e1d9a60] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [924c799] Garette Emmanuel: Update package since “debian/0.0.1-16-7”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 13 Mar 2017 14:06:12 +0100

tiramisu-web (0.0.1-16-7) eole-2.6.1-proposed-updates; urgency=low

  [ gwen ]
  * [7e79271] toasted error message
  * [6975324] Merge remote-tracking branch 'cadoles/master'
  * [7092491] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [06657a6] gwen: Update package since “debian/0.0.1-16-6”

 -- gwen <gremond@cadoles.com>  Fri, 10 Mar 2017 11:29:07 +0100

tiramisu-web (0.0.1-16-6) eole-2.6.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [284ab63] reactive message
  * [8ac9f5e] better XHR error report
  * [fedef29] spinner reworks

  [ gwen ]
  * [3fe7a3b] Merge remote-tracking branch 'cadoles/master'
  * [1cc1eae] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [ff0a274] gwen: Update package since “debian/0.0.1-16-5”

 -- gwen <gremond@cadoles.com>  Fri, 10 Mar 2017 09:03:31 +0100

tiramisu-web (0.0.1-16-5) eole-2.6.1-proposed-updates; urgency=low

  [ William Petit ]
  * [73dead1] Update lint command
  * [45d369f] Update lint command

  [ gwen ]
  * [1680bc9] Make the retrieve of the date picker's value work
  * [e30b0b6] the value null isn't allowed in the date time wigdet
  * [8a90a37] Make the retrieve of the date picker's value work
  * [d09e593] Merge remote-tracking branch 'cadoles/master'
  * [481e1ee] the value null isn't allowed in the date time wigdet
  * [9313b9e] Merge remote-tracking branch 'cadoles/master'
  * [9d7cb63] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
Source: tiramisu-web
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               python-py,
               python-all-dev
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: tiramisu-web
Architecture: all
Depends: ${misc:Depends}, python-tiramisu-web
Description: web components for tiramisu
 Polymer form builder based on tiramisu serverside
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-tiramisu-web
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-tiramisu
Description: json generator for tiramisu web
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## tiramisu-web 2.8.1-8

=== debian/changelog ===
tiramisu-web (2.8.1-8) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [5615713] Correction syntaxique.
  * [35b8e35] Merge branch '2.8.0/master' into 2.8.1/master
  * [53bf6f2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c0c58bd] Benjamin Bohard: Update package since “debian/eole/2.8.1-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 19 Sep 2023 16:18:55 +0200

tiramisu-web (2.8.1-7) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9c8d93d] Chevron fermant manquant pour une balise.
  * [48ed014] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [da8a791] Benjamin Bohard: Update package since “debian/eole/2.8.1-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Sep 2022 12:28:16 +0200

tiramisu-web (2.8.1-6) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f7ce709] Surcharger une partie de l’objet datePicker pour le format des dates.
  * [45d0fde] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f33a261] Benjamin Bohard: Update package since “debian/eole/2.8.1-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Sep 2022 10:26:36 +0200

tiramisu-web (2.8.1-5) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [ac0eb84] update hidden condition
  * [bf9d311] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0807de7] Matthieu Lamalle: Update package since “debian/eole/2.8.1-4”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 19 Jul 2021 13:08:10 +0200

tiramisu-web (2.8.1-4) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [4c72662] correction hidden
  * [2dac887] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [45a20a7] Matthieu Lamalle: Update package since “debian/eole/2.8.1-3”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 19 Jul 2021 11:51:33 +0200

tiramisu-web (2.8.1-3) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [74395e2] correction html
  * [a4e91bc] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [bb93dce] Matthieu Lamalle: Update package since “debian/eole/2.8.1-2”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 19 Jul 2021 11:41:54 +0200

tiramisu-web (2.8.1-2) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [38d24aa] update hiddenoptions
  * [22af5e4] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2309223] Matthieu Lamalle: Update package since “debian/eole/2.8.1-1”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 19 Jul 2021 11:27:01 +0200

tiramisu-web (2.8.1-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [15a8a4b] Prepare version 2.7.1
  * [2687e6e] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [6badd35] Prepare version 2.7.2
  * [eb4680b] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [a528d26] Prepare version 2.8.0
  * [1b89720] Merge branch 'master' into dist/eole/2.8.0/master
  * [27e3e52] Prepare version 2.8.1
  * [0a5f632] Merge branch 'master' into dist/eole/2.8.1/master

  [ Matthieu Lamalle ]
  * [a4f2d1a] affichage boutton submit si variables vides
  * [01a1e2b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [74a50ae] Matthieu Lamalle: Update package since “debian/eole/2.7.0-7”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 19 Jul 2021 11:01:02 +0200

tiramisu-web (2.7.0-7) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [1826a0d] fix tiramisu-web install path

  [ EOLE Build Daemon ]
  * [09f7606] Bruno Boiget: Update package since “debian/eole/2.7.0-6”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 20 Sep 2018 11:44:52 +0200

tiramisu-web (2.7.0-6) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [895b9ff] pyhuild : disable python tests

  [ EOLE Build Daemon ]
  * [6c57cfe] Bruno Boiget: Update package since “debian/eole/2.7.0-5”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 20 Sep 2018 10:55:29 +0200

tiramisu-web (2.7.0-5) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [a5ce8ee] Fix packaging

  [ EOLE Build Daemon ]
  * [62bd4a0] Bruno Boiget: Update package since “debian/eole/2.7.0-4”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 20 Sep 2018 10:49:38 +0200

tiramisu-web (2.7.0-4) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [5b5f72b] add python3 dependencies

  [ EOLE Build Daemon ]
  * [7b8e843] Bruno Boiget: Update package since “debian/eole/2.7.0-3”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 17 Sep 2018 15:08:38 +0200

tiramisu-web (2.7.0-3) eole-2.7-unstable; urgency=low

  [ Bruno Boiget ]
  * [bf87086] add minimal python versions to debian/control

  [ EOLE Build Daemon ]
  * [58b6099] Bruno Boiget: Update package since “debian/eole/2.7.0-2”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 17 Sep 2018 15:04:50 +0200

tiramisu-web (2.7.0-2) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [16f1f90] remove swp file
  * [6ed3e55] tiramisu 3.0 adaptation
  * [e2a15f9] polymer 2 support
  * [a95575f] improvement
  * [a99094c] clearable works with multi and remove animation
  * [ccd889d] hidden works better
  * [9da1994] port tiramisu-multi to polymer2
  * [495e14a] corrections
  * [71c1692] ordered schema
  * [f7899ca] ordereddict (for old python version)
  * [9323dbc] access to choice as unrestraint
  * [d54fcad] list root options
  * [d4859ad] required is not allow true
  * [a202b0d] remote reworks
  * [71d6591] updates
  * [dba274f] Revert "updates"
  * [0a36277] Revert "remote reworks"
  * [5b78fdb] update tests
  * [e047a8e] remove unuse 'mode' and empty value
  * [9c4e378] remove 'owner' when default + empty model
  * [312e360] updates tests
  * [935bc15] better slave support
  * [c9d4ac6] remove hidden properties
  * [a4c0aa7] master/slaves
  * [61ca67d] add/remove master/slaves
  * [34dabef] simplification


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v
export PYBUILD_DISABLE_python3=test

export PYBUILD_NAME = tiramisu_web

%:
	dh $@ --with python3  --buildsystem=pybuild

## tiramisu-web 2.9.0-4

=== debian/changelog ===
tiramisu-web (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2e2ad30] Fermeture de balise manquante.
  * [f44aa75] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e52bf14] Benjamin Bohard: Update package since “debian/eole/2.9.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 05 Sep 2022 12:21:56 +0200

tiramisu-web (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [102f125] Erreur de syntaxe dans le fichier rules

  [ EOLE Build Daemon ]
  * [26dd37c] Benjamin Bohard: Update package since “debian/eole/2.9.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Aug 2022 16:28:46 +0200

tiramisu-web (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [8694798] Utiliser une méthode de compression compatible pour les paquets.

  [ EOLE Build Daemon ]
  * [e3de0c0] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Aug 2022 16:06:30 +0200

tiramisu-web (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [645ecb3] Prepare version 2.9.0
  * [a4dcac0] Merge branch 'master' into dist/eole/2.9.0/master

  [ Benjamin Bohard ]
  * [6532406] Surcharger une partie de l’objet datePicker pour le format des dates.
  * [eeb4e96] Merge branch 'scenario/34403'
  * [e0b3785] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0d438d6] Benjamin Bohard: Update package since “debian/eole/2.8.1-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Aug 2022 16:17:40 +0200

=== debian/control ===
Source: tiramisu-web
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: tiramisu-web
Architecture: all
Depends: ${misc:Depends}, python3-tiramisu-web
Description: web components for tiramisu
 Polymer form builder based on tiramisu serverside
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python3-tiramisu-web
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tiramisu
Description: json generator for tiramisu web
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,9 @@
 
 %:
 	dh $@ --with python3  --buildsystem=pybuild
+
+override_dh_builddeb:
+	# Make package compatible with older version
+	dh_builddeb -- -Zgzip -Srle
+
+.PHONY: override_dh_builddeb
